<?php require_once('../../Connections/cn.php'); ?>
<?php 
//Aqui quito caracteres que estan demas en el filtro que viene de otra pagina 
$sqlr = str_replace("`", "", $sqlr); 
$sqlr = str_replace("\'", '"', $sqlr); 

$periodo=$_GET['periodo'];
$carrera=$_GET['carrera'];
$pensum=$_GET['pensum'];
$mencion=$_GET['mencion'];
$materia=$_GET['materia'];
$corte=$_GET['corte'];


if($turno==1)$nombre_turno="MATUTINO";
if($turno==2)$nombre_turno="VESPERTINO";
if($turno==4)$nombre_turno="NOCTURNO";

if($mencion=="CIU") $nombre_mencion="CURSO DE INICIACIÓN UNIVERSITARIA";
if($mencion=="CG") $nombre_mencion="COMPONENTE GENERAL";
if($mencion=="ACE") $nombre_mencion="ADUANAS Y COMERCIO EXTERIOR";
if($mencion=="FIN") $nombre_mencion="FINANZAS PÚBLICAS";
if($mencion=="RT") $nombre_mencion="RENTAS";

if(($mencion=='CG') || ($mencion=='CIU')) $mencion='COMUN';

// Selecciono la Base de Datos. 
mysql_select_db($database_cn); 
mysql_query ("SET NAMES 'utf8'");

// Datos de la Materia.
$sql1 = "select nombre_materia from materias where id_materia='$materia' and id_carrera='$carrera'";
$rs1=mysql_query($sql1,$cn);
$row1=mysql_fetch_array($rs1);
$nom_materia=$row1['nombre_materia'];

// Datos del Per�odo.
$sql2 = "select * from periodos where id_periodo='$periodo'";
$rs2=mysql_query($sql2,$cn);
$row2=mysql_fetch_array($rs2);
$descripcion=' ('.$row2['mes_inicio'].'-'.$row2['mes_fin'].')';
$codigo_periodo=$row2['codigo'].$descripcion;


//Datos de la Sede
$sql2 = "select * from sedes where codigo='$sede'";
$rs2=mysql_query($sql2,$cn);
$row2=mysql_fetch_array($rs2);
$nombre_sede=$row2['nombre_sede'];

// Datos de la Carrera.
$sql3 = "select nombre_carrera from carreras where id_carrera='$carrera'";
$rs3=mysql_query($sql3,$cn);
$row3=mysql_fetch_array($rs3);
$nom_carrera=$row3['nombre_carrera'];


   
// Incluye la calses que se requieren para el reporte. 
error_reporting(E_ALL); 
include('class.ezpdf.php'); 
require('numerosALetras.class.php');

// Se establece el tipo de p�gina y el formato de impresi�n.
$pdf = & new Cezpdf('letter','portraid'); 
$pdf->selectFont('./fonts/Helvetica'); 
// Se inicializa el contador de paginas en 1 y se especifica en que lugar se va a imprimir 
$pdf->ezStartPageNumbers(558,17,7,'','{PAGENUM}/{TOTALPAGENUM}',1); 

// coloca una linea arriba y abajo de todas las paginas 
$fechs = date("d/m/y"); 
$all = $pdf->openObject(); 
$pdf->saveState(); 
$pdf->setStrokeColor(0,0,0,1); 
// Se define el query de los datos que contendr� el reporte.
mysql_select_db($database_cn, $cn);
$query = "SELECT DISTINCT alumnos.cedula, alumnos.apellidos, alumnos.nombres,inscripciones.id_seccion,inscripciones.acumulado
FROM alumnos, inscripciones
WHERE alumnos.id_alumno = inscripciones.id_alumno
AND inscripciones.id_carrera = '$carrera'
AND inscripciones.pensum = '$pensum'
AND inscripciones.mencion = '$mencion'
AND inscripciones.id_materia = '$materia'";
if($corte=="1") $query=$query." and acumulado <12.5 ";
if($corte=="2") $query=$query." and acumulado <25 ";
if($corte=="3") $query=$query." and acumulado <37.5 ";
if($corte=="4") $query=$query." and acumulado <49.5 ";

$query=$query."ORDER BY inscripciones.id_seccion,alumnos.apellidos, alumnos.nombres";

//echo $query;
// Ejecuta el Query.

$result = mysql_query ($query,$cn) or die (mysql_error()); 
//$rstHistorico = mysql_fetch_assoc($result);
// Numero de Filas.
$totalRows = mysql_num_rows($result);
// Se obtienen los datos del docente que dict� la materia.


// Inicio del Encabezado.
$imagen=ImageCreatefromjpeg('../../imagenes/logo_mpppf.jpg');
$pdf->addImage($imagen,60,$pdf->y-25,500,0);
$pdf->selectFont('/fonts/Helvetica.afm');
$diff=array(225=>'aacute',233=>'eacute',
            237=>'iacute',243=>'oacute',
            250=>'uacute',252=>'udieresis',
            241=>'ntilde',209=>'Ntilde');
$pdf->selectFont('fonts/Helvetica.afm',array('encoding'=>'WinAnsiEncoding','differences'=>$diff));
$pdf->ezsetdy(-25);
$pdf->ezText(utf8_decode("<b>Dirección de Secretaría General - Unidad de Control de Estudios de Pregrado</b>"),9,array('justification'=>'center'));
$pdf->ezsetdy(-15);
$pdf->ezText('<b>'."ESTUDIANTES REPROBADOS POR MATERIA".'</b>',14,array('justification'=>'center'));
$pdf->ezsetdy(-15);
$pdf->ezText('<b>'.utf8_decode("            LAPSO ACADÉMICO: ").'</b>'.utf8_decode($codigo_periodo),10,array('justification'=>'left'));
$pdf->ezsetdy(-2);

$pdf->ezText('<b>'."            PROGRAMA: ".'</b>'." LICENCIATURA EN CIENCIAS FISCALES",10,array('justification'=>'left'));
$pdf->ezsetdy(-2);
$pdf->ezText('<b>'.utf8_decode("            MENCIÓN: ").'</b>'.utf8_decode($nombre_mencion),10,array('justification'=>'left'));
$pdf->ezsetdy(-2);
$pdf->ezText('<b>'.utf8_decode("            MATERIA: ").'</b>'.utf8_decode($nom_materia).' ('.$materia.')'.'<b>'.utf8_decode("     INSCRITOS: ").'</b>'.$totalRows,10 ,array('justification'=>'left'));

// Fin del Encabezado.
// Inicio del Pie de P�gina.
//pie_pagina($pdf, $cedula_docente, $nom_docente);
// Fin del Pie de P�gina.

// Se restaura el objeto y se cierra, para que de el salto de p�gina.
$pdf->restoreState(); 
$pdf->closeObject(); 
// Establece los margenes para imprimir el cuerpo del reporte.
$pdf->ezSetCmMargins(6,2,3,3);
$pdf->addObject($all,'all'); 

// Inicializa array 
$data = array(); 
//Aqui se coloca el header de la Tabla 
$cols = array('nro'=>'<b>'.'Nro.'.'</b>', 
			  'cedula'=>'<b>'.utf8_decode('CÉDULA            ').'</b>', 
              'apellidosynombres'=>'<b>'.'   APELLIDOS Y NOMBRES DEL ESTUDIANTE'.'</b>',
			  'seccion'=>'<b>'.utf8_decode('SECCIÓN   ').'</b>',
			  'acum'=>'<b>'.utf8_decode('V.A.').'  '.'</b>'); 
$smc = 0; 
// Convierte la Nota a Letras.
$nota = new numerosALetras;

while ($row = mysql_fetch_row($result)) { 
    $ced      = $row[0];    // cedula 
    $apeynom  = $row[1].', '.$row[2]; // apellidos y nombres 
	$seccion=$row[3];
	$acum=$row[4];
    
    $smc = $smc + 1; 
    // Aqui se agregan las variables formateadas al array 
    $data[] = array('nro'=>$smc,
	                'cedula'=>$ced.'    ', 
                    'apellidosynombres'=>utf8_decode($apeynom),
					'acum'=>utf8_decode($acum),
					'seccion'=>utf8_decode($seccion)); 
} 
					
$pdf->ezTable($data,$cols,'',array('width'=>'400','fontSize'=>9, 
'cols'=>array('nro'=>array('justification'=>'center') 
			 ,'cedula'=>array('justification'=>'right') 
             ,'apellidosynombres'=>array('justification'=>'left')
			 ,'acum'=>array('justification'=>'right')
			 ,'seccion'=>array('justification'=>'center')) 
));// salida 

if (isset($d) && $d){ 
	$pdfcode = $pdf->ezOutput(); 
	$pdfcode = str_replace('\n','\n<br>',htmlspecialchars($pdfcode)); 
	echo '<html><body>'; 
	echo trim($pdfcode); 
	echo '</body></html>'; 
} else { 
	$pdf->ezStream(); 
} 

function pie_pagina($pdf, $cedula, $nom_docente)
{
    // Facilitador(a).
    $pdf->Rectangle(58,25,550,50);
    $pdf->addText(280,65,8,'Docente');
	$pdf->line(58,60,558,60); 
	$pdf->addText(65,50,7,'Nombres y Apellidos:'.$nom_docente);
	$pdf->addText(400,50,7,utf8_decode('Cédula/Pasaporte: ').$cedula);
	//$pdf->addText(65,180,8,$nom_docente);
	$pdf->addText(445,33,7,'FECHA: ______/______/________');
	//$pdf->addText(65,170,7,'C�dula o Pasaporte');
	$pdf->addText(65,33,7,'FIRMA:');
	$pdf->line(58,45,558,45); 
}
?> 